PHPExcel_Shared

# Class: PHPExcel_Shared_OLERead

Source Location: /PHPExcel/Shared/OLERead.php

### Class Overview

### Variables

- $documentSummaryInformation
- $summaryInformation
- $wrkbook

### Constants

- BIG_BLOCK_DEPOT_BLOCKS_POS
- BIG_BLOCK_SIZE
- EXTENSION_BLOCK_POS
- IDENTIFIER_OLE
- NUM_BIG_BLOCK_DEPOT_BLOCKS_POS
- NUM_EXTENSION_BLOCK_POS
- PROPERTY_STORAGE_BLOCK_SIZE
- ROOT_START_BLOCK_POS
- SIZE_OF_NAME_POS
- SIZE_POS
- SMALL_BLOCK_DEPOT_BLOCK_POS
- SMALL_BLOCK_SIZE
- SMALL_BLOCK_THRESHOLD
- START_BLOCK_POS
- TYPE_POS

### Methods

- getStream
- read

### Class Details

[line 30]
[ Top ]

### Class Variables

#### $documentSummaryInformation = null

[line 66]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $summaryInformation = null

[line 65]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $wrkbook = null

[line 64]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### method getStream [line 176]

`string getStream( $stream)`

Extract binary stream data

#### Tags:

access: | public

#### Parameters:

| $stream |

[ Top ]

### method read [line 75]

`void read( $sFileName $sFileName)`

Read the file

#### Tags:

throws: | Exception
access: | public

#### Parameters:

$sFileName | $sFileName | string Filename

[ Top ]

### Class Constants

#### BIG_BLOCK_DEPOT_BLOCKS_POS = 0x4c

[line 54]

[ Top ]

#### BIG_BLOCK_SIZE = 0x200

[line 37]

[ Top ]

#### EXTENSION_BLOCK_POS = 0x44

[line 52]

[ Top ]

#### IDENTIFIER_OLE = IDENTIFIER_OLE

[line 34]

[ Top ]

#### NUM_BIG_BLOCK_DEPOT_BLOCKS_POS = 0x2c

[line 49]

[ Top ]

#### NUM_EXTENSION_BLOCK_POS = 0x48

[line 53]

[ Top ]

#### PROPERTY_STORAGE_BLOCK_SIZE = 0x80

[line 43]

[ Top ]

#### ROOT_START_BLOCK_POS = 0x30

[line 50]

[ Top ]

#### SIZE_OF_NAME_POS = 0x40

[line 57]

[ Top ]

#### SIZE_POS = 0x78

[line 60]

[ Top ]

#### SMALL_BLOCK_DEPOT_BLOCK_POS = 0x3c

[line 51]

[ Top ]

#### SMALL_BLOCK_SIZE = 0x40

[line 40]

[ Top ]

#### SMALL_BLOCK_THRESHOLD = 0x1000

[line 46]

[ Top ]

#### START_BLOCK_POS = 0x74

[line 59]

[ Top ]

#### TYPE_POS = 0x42

[line 58]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:45 +0200 by phpDocumentor 1.4.4